<section [ngClass]="['form-access-control']">
  <!--Position-->
  <div [ngClass]="[jds.formCheck]">
    <input
      [ngClass]="[jds.formCheckInput]"
      [formControl]="accessControl.get('position')"
      type="checkbox"
    />
    <label [ngClass]="[jds.formCheckLabel]">
      {{ organizationStructureData.jabatan_nama }}
    </label>
  </div>

  <!--Level-->
  <ng-container *ngIf="accessControl.get('level')">
    <ng-container
      *ngIf="accessControl.get('level')['controls'][0].get('level'); else nosub"
    >
      <ng-container
        *ngFor="
          let ac of accessControl.get('level')['controls'];
          let index = index
        "
      >
        <ng-container
          [ngTemplateOutlet]="content"
          [ngTemplateOutletContext]="{ ac: ac, index: index }"
        >
        </ng-container>
      </ng-container>
    </ng-container>
  </ng-container>

  <ng-template #nosub>
    <ng-container *ngIf="accessControl.get('level')">
      <ng-container
        *ngFor="
          let ac of accessControl.get('level')['controls'];
          let index = index
        "
      >
        <ng-container *ngIf="ac.get('level'); else nosubsub">
          <ng-container
            [ngTemplateOutlet]="content"
            [ngTemplateOutletContext]="{ ac: ac, index: index }"
          >
          </ng-container>
        </ng-container>

        <ng-template #nosubsub>
          <div [ngClass]="[jds.formCheck]">
            <input
              [ngClass]="[jds.formCheckInput]"
              [formControl]="ac.get('position')"
              type="checkbox"
            />
            <label [ngClass]="[jds.formCheckLabel]">
              {{ organizationStructureData.populate[index].jabatan_nama }}
            </label>
          </div>
        </ng-template>
      </ng-container>
    </ng-container>
  </ng-template>

  <ng-template
    #content
    let-ac="ac"
    let-index="index"
  >
    <jds-bi-accordion
      #accPos="jdsBiAccordion"
      [destroyOnHide]="false"
      [closeOthers]="true"
      [colorScheme]="colorScheme"
      [ngClass]="['accordion-position']"
    >
      <jds-bi-panel id="accordion-position">
        <ng-template
          jdsBiPanelHeader
          let-opened="opened"
        >
          <div
            class="t-accordion-button"
            [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
            [class.collapsed]="!opened"
          >
            <div [ngClass]="[jds.formCheck]">
              <input
                [ngClass]="[jds.formCheckInput]"
                [formControl]="ac.get('checked')"
                (change)="onCheckAll(ac)"
                type="checkbox"
              />
              <label [ngClass]="[jds.formCheckLabel]">
                {{ getPositionName(organizationStructureData.populate[index]) }}
              </label>
            </div>
            <button
              [ngClass]="[jds.button, jds.buttonLink, jds.p(0)]"
              jdsBiPanelToggle
            >
              Lainnya
            </button>
          </div>
        </ng-template>

        <ng-template jdsBiPanelContent>
          <app-form-access-control
            [accessControlInput]="ac"
            [organizationStructureDataInput]="
              organizationStructureData.populate[index]
            "
          />
        </ng-template>
      </jds-bi-panel>
    </jds-bi-accordion>
  </ng-template>
</section>
